package com.siwei.rsmonitoring.service;

import java.util.List;
import com.siwei.rsmonitoring.domain.TDkjbxxTj;

/**
 * 地块基本信息提交Service接口
 * 
 * @author siwei
 * @date 2025-02-20
 */
public interface ITDkjbxxTjService 
{
    /**
     * 查询地块基本信息提交
     * 
     * @param id 地块基本信息提交主键
     * @return 地块基本信息提交
     */
    public TDkjbxxTj selectTDkjbxxTjById(String id);
    public TDkjbxxTj selectTDkjbxxTjInfo(String dkid, String auditflowStep, String auditflowId);

    /**
     * 查询地块基本信息提交列表
     * 
     * @param tDkjbxxTj 地块基本信息提交
     * @return 地块基本信息提交集合
     */
    public List<TDkjbxxTj> selectTDkjbxxTjList(TDkjbxxTj tDkjbxxTj);

    /**
     * 新增地块基本信息提交
     * 
     * @param tDkjbxxTj 地块基本信息提交
     * @return 结果
     */
    public int insertTDkjbxxTj(TDkjbxxTj tDkjbxxTj);

    /**
     * 新增地块基本信息提交
     *
     * @param tDkjbxxTj 地块基本信息提交
     * @return 结果
     */
    public int addTDkjbxxTj(TDkjbxxTj tDkjbxxTj);


    /**
     * 修改地块基本信息提交
     * 
     * @param tDkjbxxTj 地块基本信息提交
     * @return 结果
     */
    public int updateTDkjbxxTj(TDkjbxxTj tDkjbxxTj);

    /**
     * 批量删除地块基本信息提交
     * 
     * @param ids 需要删除的地块基本信息提交主键集合
     * @return 结果
     */
    public int deleteTDkjbxxTjByIds(String[] ids);

    /**
     * 删除地块基本信息提交信息
     * 
     * @param id 地块基本信息提交主键
     * @return 结果
     */
    public int deleteTDkjbxxTjById(String id);
}
